QGIS Application - Bug report #17685
Advanced Digitizing - Parallel function not parallel
2017-12-12 05:50 PM - Geert Overmars

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Editing

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25582
Description

Using QGIS 2.99 on Windows 10. When using the Parallel function in the Advanced Digitizing Panel, lines are not truly parallel when lines
diagonal. Difficult to explain, watch the video attached.

Associated revisions

Revision 3abf2715 - 2018-01-19 04:14 PM - Martin Dobias

[cad] Fix precision issues with angle constraint (fixes #17685)

History

#1 - 2017-12-13 12:27 AM - Nyall Dawson

| can confirm this bug.

Funnily enough, it only applies if the parallel mode is enabled. What I've found so far:

- enabled parallel mode, click a segment

- the correct angle is entered into the angle constraint box, but moving the mouse shows a slightly offset line from both the selected parallel segment AND
the "preview" line

- turning off the parallel mode, and manually leaving the detected angle in the angle constraint results in a perfectly parallel line!

Soit's a bug in the code relating to the parallel constraint being in place, NOT the angle constraint OR the initial detection of the correct parallel angle .
#2 - 2017-12-27 03:05 PM - Saber Razmjooei

- Operating System deleted (Windows 10)

#3 - 2018-01-16 02:49 AM - Denis Rouzaud
- Assignee set to Denis Rouzaud

#4 - 2018-01-19 04:13 PM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|3abf27f5ac5929fe5982a4af247d566cad3ddafc.
#5 - 2018-02-22 11:08 AM - Giovanni Manghi
- Resolution set to fixed/implemented

Files

QGIS parallel.mp4 417 MB 2017-12-12 Geert Overmars
